<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="css/custom.css?v=1.1">
    <link rel="stylesheet" href="css/bootstrap.css">
    <title>Silias Zefix Suche</title>

    <style>
        #myInput {
            box-sizing: border-box;
            background-position: 14px 12px;
            background-repeat: no-repeat;
            font-size: 16px;
            padding: 14px 20px 12px 45px;
            border: none;
            border-bottom: 1px solid #ddd;
        }

        #myInput:focus {outline: 3px solid #ddd;}


        .dropdown {
            position: relative;
            display: inline-block;
        }

        .dropdown-content {
            position: absolute;
            background-color: #f6f6f6;
            min-width: 230px;
            overflow: auto;
            border: 1px solid #ddd;
            z-index: 1;
        }

        .dropdown-content a {
            color: black;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
        }

        .dropdown a:hover {background-color: #ddd;}

        .show {display: block;}

        .scrollWindow {
            max-height: 300px; /* Adjust the value as needed */
            overflow-y: auto; /* This will add a scrollbar when content exceeds max-height */
            border: 1px solid #ccc; /* Optional: Add a border for visual clarity */
            padding: 10px; /* Optional: Add padding for better spacing */
        }
    </style>
</head>

<body>

<div class="wrapper">
    <section>


        <div class="container">
            <h1>Silias Zefix Suche</h1>


            <p>Diese Webseite wird gerade neu entwickelt und steht demnächst zur Verfügung.</p>

            <form action="submit.php" method="post">
                <label for="firmenname">Firmenname:</label>
                <input type="text" id="firmenname" name="firmenname"><br><br>

                <label for="kanton">Kanton:</label>
                <select id="kanton" name="kanton">
                    <!-- Hier kannst du die Optionen für die Kantone einfügen -->
                </select><br><br>

                <label for="sitz">Sitz (Postleitzahl / Gemeinde):</label><br>
                <div class="dropdown">
                    <div id="myDropdown" class="dropdown-content">
                        <input  type="text" placeholder="Postleitzahl / Ort" id="myInput" onkeyup="filterFunction()" name="sitz" autocomplete="off">
                        <div id="results" class="scrollWindow">

                        </div>

                    </div>
                </div><br><br><br><br>

                <label for="rechtsform">Rechtsform:</label><br>
                <div class="scrollWindow">
                <label><input type="checkbox" name="rechtsform[]" value="Einzelunternehmen"> Einzelunternehmen</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Kollektivgesellschaft"> Kollektivgesellschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Aktiengesellschaft"> Aktiengesellschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Gesellschaft mit beschränkter Haftung"> Gesellschaft mit beschränkter Haftung</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Genossenschaft"> Genossenschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Verein"> Verein</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Stiftung"> Stiftung</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Institut des öffentlichen Rechts"> Institut des öffentlichen Rechts</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Zweigniederlassung"> Zweigniederlassung</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Kommanditgesellschaft"> Kommanditgesellschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Zweigniederlassung einer ausl. Gesellschaft"> Zweigniederlassung einer ausl. Gesellschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Kommanditaktiengesellschaft"> Kommanditaktiengesellschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Besondere Rechtsform"> Besondere Rechtsform</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Gemeinderschaft"> Gemeinderschaft</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Investmentgesellschaft mit festem Kapital"> Investmentgesellschaft mit festem Kapital</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Investmentgesellschaft mit variablem Kapital"> Investmentgesellschaft mit variablem Kapital</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Kommanditgesellschaft für kollektive Kapitalanlagen"> Kommanditgesellschaft für kollektive Kapitalanlagen</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="Nichtkaufmännische Prokura"> Nichtkaufmännische Prokura</label><br>
                <label><input type="checkbox" name="rechtsform[]" value="(unbekannt)"> (unbekannt)</label><br>
                </div>
                <br><br>

                <input type="checkbox" id="exakteSuche" name="exakteSuche">
                <label for="exakteSuche">Exakte Suche</label><br>

                <input type="checkbox" id="geloeschteRechtseinheiten" name="geloeschteRechtseinheiten">
                <label for="geloeschteRechtseinheiten">Gelöschte Rechtseinheiten suchen</label><br>

                <input type="checkbox" id="inBisherigenFirmen" name="inBisherigenFirmen">
                <label for="inBisherigenFirmen">In bisherigen Firmen/Namen suchen</label><br>

                <input type="checkbox" id="phonetischeSuche" name="phonetischeSuche">
                <label for="phonetischeSuche">Phonetische Suche</label><br><br>

                <input type="submit" value="Suchergebnisse herunterladen">
            </form>

            <script>
                const kantonDropdown = document.getElementById('kanton');
                const sitzInput = document.getElementById('sitz');



                // Parse CSV-Daten und fülle das Dropdown-Feld

                let csvData;
                <?php
                    include 'gemeinden.php';
                ?>


                csvData = csvData.slice(1);
                // csvData = "PLZ,ORTBEZ,KANTON
                // 1000,Lausanne  Dépôt,VD
                // 1001,Lausanne,VD
                // 1002,Lausanne,VD"


                const lines = csvData.trim().split('\n');
                const headers = lines[0].split(',');
                const gemeindeNameIndex = headers.indexOf('Gemeindename');
                const plzIndex = headers.indexOf('PLZ');
                const kantonIndex = headers.indexOf('Kanton');

                const sitze = [];
                for (let i = 1; i < lines.length; i++) {
                    const cells = lines[i].split(',');
                    const plz = cells[plzIndex].trim();
                    const gemeindeName = cells[gemeindeNameIndex].trim();
                    const kanton = cells[kantonIndex].trim();

                    // Falls Kanton noch nicht vorhanden -> hinzufügen
                    if (!kantonDropdown.querySelector(`[value="${kanton}"]`)) {
                        const option = document.createElement('option');
                        option.value = kanton;
                        option.textContent = kanton;
                        kantonDropdown.appendChild(option);
                    }

                    // Sitz hinzufügen
                    const sitzString = plz + " " + gemeindeName
                    sitze.push(sitzString)
                    const anchorElement = document.createElement('a');
                    anchorElement.textContent = sitzString
                    anchorElement.href="#"
                    anchorElement.classList.add("result")
                    anchorElement.addEventListener('click', function(event) {
                        const index = i - 1; // Make sure 'i' is defined before using it here
                        chooseResult(index.toString());
                    });
                    document.getElementById("results").appendChild(anchorElement)
                }

                function filterFunction() {
                    var input, filter, ul, li, a, i;
                    input = document.getElementById("myInput");
                    filter = input.value.toUpperCase();
                    div = document.getElementById("myDropdown");
                    a = div.getElementsByTagName("a");
                    for (i = 0; i < a.length; i++) {
                        txtValue = a[i].textContent || a[i].innerText;
                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            a[i].style.display = "";
                        } else {
                            a[i].style.display = "none";
                        }
                    }
                }

                function chooseResult(index) {
                    document.getElementById("myInput").value = sitze[index]
                    console.log("Choosen" + index)
                }

                const myInput = document.getElementById('myInput');
                const results = document.getElementById('results');
                results.style.display = 'none';
                myInput.addEventListener('focus', () => {
                    results.style.display = 'block';
                });

                myInput.addEventListener('blur', () => {
                    setTimeout(() => {
                        results.style.display = 'none';
                    }, 100); // 1000 milliseconds = 1 second
                });

            </script>

        </div>

    </section>
    <div class="push"></div>
</div>



<?php
include 'env_vars.php';
//echo "My API Key is:" . $_ENV["APIKEY"];
//echo "Getenv:" . getenv('APIKEY');

?>



<footer class="text-center">
    <div class="container footer">
        <div class="row">
            <table>
                <tr>
                    <td class="footer">
                        <div class="col-12">
                            <p><span><b>Impressum</b></span><br>
                                Silias KLG<br>
                                Toggenburgstrasse 31<br>
                                8245 Feuerthalen<br>
                                <a href="https://www.silias.ch" target="_blank">www.silias.ch</a><br>
                                <a href="mailto:info@silias.ch">info@silias.ch</a><br>
                                <a href="https://gitea.silias.ch/Silias-Public/Zefix_search">Projekt Repository</a>
                        </div>
                    </td>
                    <td class="footer">
                        <div class="col-12">
                            <p><span><b>Datenquelle</b></span><br>
                                Zentraler Firmenindex<br>
                                Eidgenössisches Justiz- und Polizeidepartement (EJPD)<br>
                                Bundesamt für Justiz (BJ)<br>
                                Eidgenössisches Amt für das Handelsregister (EHRA)<br>
                                Bundesrain 20<br>
                                3003 Bern<br>
                                <a href="https://www.zefix.admin.ch" target="_blank">www.zefix.admin.ch</a><br>
                                <a href="tel:+41584624197">+41 (0) 58 462 41 97</a><br>
                                <a href="zefix@bj.admin.ch">zefix@bj.admin.ch</a>
                            </p>
                        </div>
                    </td>
                </tr>
            </table>

        </div>
    </div>
</footer>

</body>
</html>
